﻿using System.ServiceModel;
using System.Runtime.Serialization;

namespace WCFIServices
{
	[ServiceContract]
	public interface RegisterClientIService
	{
		[OperationContract(IsOneWay = true)]
		void RegisterClient(ClientInfo clientInfo);
	}

	[DataContract]
	public class ClientInfo
	{
		[DataMember]
		public string GroupName { get; set; }

		[DataMember]
		public string ClientName { get; set; }

		[DataMember]
		public string PushMessageBoxAddress { get; set; }
	}
}
