﻿using System.ServiceModel;
using System.ServiceModel.Channels;
using WCFIServices;

namespace WCFServerService
{
	public class MessageBoxClient : ClientBase<MessageBoxIService>, MessageBoxIService
	{

		public MessageBoxClient(Binding binding, EndpointAddress remoteAddress) :
			base(binding, remoteAddress)
		{
		}

		public void MessageBox(MessageData messageData)
		{
			base.Channel.MessageBox(messageData);
		}

        public void MessageBoxWithEmployee(Employee employee)
        {
            base.Channel.MessageBoxWithEmployee(employee);
        }
	}
}
